Lattice Builder Manual Software Package for Constructing Rank-1 Lattices

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Friends Modules Pages
Public Member Functions | List of all members
LatBuilder::Norm::PAlphaDPW08 Class Reference

Bound on the average weighted \(\mathcal P_\alpha\) discrepancy. More...

`#include <PAlphaDPW08.h>`

Inherits LatBuilder::Norm::PAlphaBase< PAlphaDPW08 >.

## Public Member Functions
| PAlphaDPW08 (unsigned int alpha, const LatCommon::Weights &weights, Real normType)
| Constructor. More...
template<LatType L>
Real | value (Real lambda, const SizeParam< L > &sizeParam, Dimension dimension, Real norm=1.0) const
std::string | name () const
Public Member Functions inherited from LatBuilder::Norm::PAlphaBase< PAlphaDPW08 >
| PAlphaBase (unsigned int alpha, Real normType)
| Constructor. More...
unsigned | alpha () const
Real | normType () const
Real | minExp () const
Real | maxExp () const
Real | value (Real lambda, const SizeParam< L > &sizeParam, Dimension dimension, Real norm=1.0) const
| Returns the value of the bound. More...
Real | operator() (const SizeParam< L > &sizeParam, Dimension dimension, Real norm=1.0) const
| Returns the smallest value of the bound for dimension `dimension`. More...
Real | minimum (const SizeParam< L > &sizeParam, Dimension dimension, Real norm) const
| Returns the minimum value of the bound function. More...

## Additional Inherited Members
Static Public Attributes inherited from LatBuilder::Norm::PAlphaBase< PAlphaDPW08 >
static const unsigned | MINIMIZER_MAX_ITER
| Maximum number of iterations to be used with the minimizer.
static const int | MINIMIZER_PREC_BITS
| Relative precision on the minimum value to be used with the minimizer.

## Detailed Description

Bound on the average weighted \(\mathcal P_\alpha\) discrepancy.

This is the bound

\[ \min_{1/\alpha < \lambda \leq 1} \overline{E}^2_{n,s,\alpha,\boldsymbol\gamma}(\lambda) \]

from Theorem 10 (with the minimization step proposed in Algorithm 2) in [5] .

## Constructor & Destructor Documentation

LatBuilder::Norm::PAlphaDPW08::PAlphaDPW08 | ( | unsigned int | alpha,
|  | const LatCommon::Weights & | weights,
|  | Real | normType
| ) |  |

Constructor.

Parameters

  alpha | Smoothness level \(\alpha\) of the class of functions.
  weights | Projection-dependent weights \( \gamma_{\mathfrak u} \).
  normType | Type of cross-projection norm used by the figure of merit.

The documentation for this class was generated from the following file:

- latbuilder/include/latbuilder/Norm/PAlphaDPW08.h